# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.logical.view.registry.LogicalModelViewHandlerRegistry

Packages that use LogicalModelViewHandlerRegistry
Package
Description
org.eclipse.emf.compare.ide.ui.internal
org.eclipse.emf.compare.ide.ui.internal.logical.view.registry

## Uses of LogicalModelViewHandlerRegistry in org.eclipse.emf.compare.ide.ui.internal

Methods in org.eclipse.emf.compare.ide.ui.internal that return LogicalModelViewHandlerRegistry
Modifier and Type
Method
Description
`LogicalModelViewHandlerRegistry`
EMFCompareIDEUIPlugin.`getLogicalModelViewHandlerRegistry()`
Returns the registry containing all known Logical Model View handlers.

## Uses of LogicalModelViewHandlerRegistry in org.eclipse.emf.compare.ide.ui.internal.logical.view.registry

Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.view.registry with parameters of type LogicalModelViewHandlerRegistry
Modifier
Constructor
Description
``
`LogicalModelViewHandlerRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, LogicalModelViewHandlerRegistry registry)`
Initialize a registry event listener for our handlers.